<?php

namespace Plugin\Fyrebox\Widget\Fyrebox;

class Model
{

    public function __construct()
    {
    }

    public static function quizSelectForm($quizzes)
    {
        $form = new \Ip\Form();
        if ($values = $quizzes) {
            $selectFields = array(
                'name' => 'selectedQuiz',
                'label' => __('Select Fyrebox Quiz:', 'Fyrebox'),
                'values' => $values,
                'value' => 1
            );
            $field = new \Ip\Form\Field\Select($selectFields);
            $form->addField($field);
        }
        return $form;
    }

    public static function getApiKey()
    {
        $key = ipGetOption('Fyrebox.apiKey');
        return $key;
    }

    public static function getAllQuizzes()
    {
        require_once(ipFile('Plugin/Fyrebox/lib/FY_Quizzes.php'));
        if ($FY_Quizzes = new \FY_Quizzes(self::getApiKey())) {
            $quizzes = json_decode($FY_Quizzes->getAll());
            $retval = false;
            if (!empty($quizzes)) {
                foreach ($quizzes as $quiz) {
                    if (isset($quiz->game_id) && (isset($quiz->game_name))) {
                        $retval[] = array($quiz->oid.'/'.$quiz->game_id, $quiz->game_name);
                    }
                }
            }
            return $retval;
        } else return false;
    }
}
